function ss(f, i, v, t) {
	f.state.options[i] = new Option(t, v);
}

function statedropdown(f) {

	   var userAgent=navigator.appName + " " + navigator.appVersion;
	var agentInfo=userAgent.substring(0, 5);
	if (agentInfo == "WebTV") {
		return true;
	}
	v = f.country.value;

	if (v == 'Venezuela') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Amazonas", "Amazonas");
		ss(f, 2, "Anzoategui", "Anzoategui");
		ss(f, 3, "Apure", "Apure");
		ss(f, 4, "Aragua", "Aragua");
		ss(f, 5, "Barinas", "Barinas");
		ss(f, 6, "Bolivar", "Bolivar");
		ss(f, 7, "Carabobo", "Carabobo");
		ss(f, 8, "Cojedes", "Cojedes");
		ss(f, 9, "Delta Amacuro", "Delta Amacuro");
		ss(f, 10, "Dependencias Federales", "Dependencias Federales");
		ss(f, 11, "Distrito Federal", "Distrito Federal");
		ss(f, 12, "Falcon", "Falcon");
		ss(f, 13, "Guarico", "Guarico");
		ss(f, 14, "Lara", "Lara");
		ss(f, 15, "Merida", "Merida");
		ss(f, 16, "Miranda", "Miranda");
		ss(f, 17, "Monagas", "Monagas");
		ss(f, 18, "Nueva Esparta", "Nueva Esparta");
		ss(f, 19, "Portuguesa", "Portuguesa");
		ss(f, 20, "Sucre", "Sucre");
		ss(f, 21, "Tachira", "Tachira");
		ss(f, 22, "Trujillo", "Trujillo");
		ss(f, 23, "Vargas", "Vargas");
		ss(f, 24, "Yaracuy", "Yaracuy");
		ss(f, 25, "Zulia", "Zulia");
	} else if (v == 'United States') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Alabama", "Alabama");
		ss(f, 2, "Alaska", "Alaska");
		ss(f, 3, "American Samoa", "American Samoa");
		ss(f, 4, "Arizona", "Arizona");
		ss(f, 5, "Arkansas", "Arkansas");
		ss(f, 6, "California", "California");
		ss(f, 7, "Colorado", "Colorado");
		ss(f, 8, "Connecticut", "Connecticut");
		ss(f, 9, "Delaware", "Delaware");
		ss(f, 10, "District of Columbia", "District of Columbia");
		ss(f, 11, "Florida", "Florida");
		ss(f, 12, "Georgia", "Georgia");
		ss(f, 13, "Guam", "Guam");
		ss(f, 14, "Hawaii", "Hawaii");
		ss(f, 15, "Idaho", "Idaho");
		ss(f, 16, "Illinois", "Illinois");
		ss(f, 17, "Indiana", "Indiana");
		ss(f, 18, "Iowa", "Iowa");
		ss(f, 19, "Kansas", "Kansas");
		ss(f, 20, "Kentucky", "Kentucky");
		ss(f, 21, "Louisiana", "Louisiana");
		ss(f, 22, "Maine", "Maine");
		ss(f, 23, "Maryland", "Maryland");
		ss(f, 24, "Massachusetts", "Massachusetts");
		ss(f, 25, "Michigan", "Michigan");
		ss(f, 26, "Minnesota", "Minnesota");
		ss(f, 27, "Mississippi", "Mississippi");
		ss(f, 28, "Missouri", "Missouri");
		ss(f, 29, "Montana", "Montana");
		ss(f, 30, "Nebraska", "Nebraska");
		ss(f, 31, "Nevada", "Nevada");
		ss(f, 32, "New Hampshire", "New Hampshire");
		ss(f, 33, "New Jersey", "New Jersey");
		ss(f, 34, "New Mexico", "New Mexico");
		ss(f, 35, "New York", "New York");
		ss(f, 36, "North Carolina", "North Carolina");
		ss(f, 37, "North Dakota", "North Dakota");
		ss(f, 38, "Northern Mariana Islands", "Northern Mariana Islands");
		ss(f, 39, "Ohio", "Ohio");
		ss(f, 40, "Oklahoma", "Oklahoma");
		ss(f, 41, "Oregon", "Oregon");
		ss(f, 42, "Pennsylvania", "Pennsylvania");
		ss(f, 43, "Puerto Rico", "Puerto Rico");
		ss(f, 44, "Rhode Island", "Rhode Island");
		ss(f, 45, "South Carolina", "South Carolina");
		ss(f, 46, "South Dakota", "South Dakota");
		ss(f, 47, "Tennessee", "Tennessee");
		ss(f, 48, "Texas", "Texas");
		ss(f, 49, "Utah", "Utah");
		ss(f, 50, "Vermont", "Vermont");
		ss(f, 51, "Virgin Islands", "Virgin Islands");
		ss(f, 52, "Virginia", "Virginia");
		ss(f, 53, "Washington", "Washington");
		ss(f, 54, "West Virginia", "West Virginia");
		ss(f, 55, "Wisconsin", "Wisconsin");
		ss(f, 56, "Wyoming", "Wyoming");
	} else if (v == 'United Kingdom') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Bath Avon", "England - Bath Avon");
		ss(f, 2, "Bedfordshire", "England - Bedfordshire");
		ss(f, 3, "Berkshire", "England - Berkshire");
		ss(f, 4, "Bournemouth", "England - Bournemouth");
		ss(f, 5, "Brighton and Hove", "England - Brighton and Hove");
		ss(f, 6, "Bristol", "England - Bristol");
		ss(f, 7, "Buckinghamshire", "England - Buckinghamshire");
		ss(f, 8, "Cambridgeshire", "England - Cambridgeshire");
		ss(f, 9, "Channel Isles", "England - Channel Isles");
		ss(f, 10, "Cheshire", "England - Cheshire");
		ss(f, 11, "Cornwall", "England - Cornwall");
		ss(f, 12, "County Durham", "England - County Durham");
		ss(f, 13, "Cumbria", "England - Cumbria");
		ss(f, 14, "Darlington", "England - Darlington");
		ss(f, 15, "Derbyshire", "England - Derbyshire");
		ss(f, 16, "Devon", "England - Devon");
		ss(f, 17, "Dorset", "England - Dorset");
		ss(f, 18, "Essex", "England - Essex");
		ss(f, 19, "Gloucestershire", "England - Gloucestershire");
		ss(f, 20, "Hampshire", "England - Hampshire");
		ss(f, 21, "Hartlepool", "England - Hartlepool");
		ss(f, 22, "Herefordshire", "England - Herefordshire");
		ss(f, 23, "Hertfordshire", "England - Hertfordshire");
		ss(f, 24, "Huntingdonshire", "England - Huntingdonshire");
		ss(f, 25, "Isle of Wight", "England - Isle of Wight");
		ss(f, 26, "Isles of Scilly", "England - Isles of Scilly");
		ss(f, 27, "Kent", "England - Kent");
		ss(f, 28, "Lancashire", "England - Lancashire");
		ss(f, 29, "Leicestershire", "England - Leicestershire");
		ss(f, 30, "Lincolnshire", "England - Lincolnshire");
		ss(f, 31, "London", "England - London");
		ss(f, 32, "Luton", "England - Luton");
		ss(f, 33, "Manchester", "England - Manchester");
		ss(f, 34, "Merseyside", "England - Merseyside");
		ss(f, 35, "Middlesex", "England - Middlesex");
		ss(f, 36, "Milton Keynes", "England - Milton Keynes");
		ss(f, 37, "Norfolk", "England - Norfolk");
		ss(f, 38, "Northamptonshire", "England - Northamptonshire");
		ss(f, 39, "Northumberland", "England - Northumberland");
		ss(f, 40, "Nottinghamshire", "England - Nottinghamshire");
		ss(f, 41, "Oxfordshire", "England - Oxfordshire");
		ss(f, 42, "Poole", "England - Poole");
		ss(f, 43, "Portsmouth", "England - Portsmouth");
		ss(f, 44, "Redcar and Cleveland", "England - Redcar and Cleveland");
		ss(f, 45, "Rutland", "England - Rutland");
		ss(f, 46, "Shropshire", "England - Shropshire");
		ss(f, 47, "Somerset", "England - Somerset");
		ss(f, 48, "Southampton", "England - Southampton");
		ss(f, 49, "Staffordshire", "England - Staffordshire");
		ss(f, 50, "Stockton-on-Tees", "England - Stockton-on-Tees");
		ss(f, 51, "Suffolk", "England - Suffolk");
		ss(f, 52, "Surrey", "England - Surrey");
		ss(f, 53, "Sussex", "England - Sussex");
		ss(f, 54, "Swindon", "England - Swindon");
		ss(f, 55, "Tyne and Wear", "England - Tyne and Wear");
		ss(f, 56, "Warwickshire", "England - Warwickshire");
		ss(f, 57, "West Midlands", "England - West Midlands");
		ss(f, 58, "Westmorland", "England - Westmorland");
		ss(f, 59, "Wiltshire", "England - Wiltshire");
		ss(f, 60, "Worcestershire", "England - Worcestershire");
		ss(f, 61, "Yorkshire", "England - Yorkshire");
		ss(f, 62, "Isle of Man", "Isle of Man - Isle of Man");
		ss(f, 63, "Antrim", "N. Ireland - Antrim");
		ss(f, 64, "Armagh", "N. Ireland - Armagh");
		ss(f, 65, "Belfast", "N. Ireland - Belfast");
		ss(f, 66, "Down", "N. Ireland - Down");
		ss(f, 67, "Fermanagh", "N. Ireland - Fermanagh");
		ss(f, 68, "Londonderry", "N. Ireland - Londonderry");
		ss(f, 69, "Tyrone", "N. Ireland - Tyrone");
		ss(f, 70, "Aberdeenshire", "Scotland - Aberdeenshire");
		ss(f, 71, "Angus", "Scotland - Angus");
		ss(f, 72, "Argyllshire", "Scotland - Argyllshire");
		ss(f, 73, "Ayrshire", "Scotland - Ayrshire");
		ss(f, 74, "Banffshire", "Scotland - Banffshire");
		ss(f, 75, "Berwickshire", "Scotland - Berwickshire");
		ss(f, 76, "Buteshire", "Scotland - Buteshire");
		ss(f, 77, "Caithness", "Scotland - Caithness");
		ss(f, 78, "Clackmannanshire", "Scotland - Clackmannanshire");
		ss(f, 79, "Dumfriesshire", "Scotland - Dumfriesshire");
		ss(f, 80, "Dunbartonshire", "Scotland - Dunbartonshire");
		ss(f, 81, "Dundee City", "Scotland - Dundee City");
		ss(f, 82, "Edinburgh", "Scotland - Edinburgh");
		ss(f, 83, "Falkirk", "Scotland - Falkirk");
		ss(f, 84, "Fife", "Scotland - Fife");
		ss(f, 85, "Highland", "Scotland - Highland");
		ss(f, 86, "Inverness-shire", "Scotland - Inverness-shire");
		ss(f, 87, "Isle of Islay", "Scotland - Isle of Islay");
		ss(f, 88, "Isle of Lewis", "Scotland - Isle of Lewis");
		ss(f, 89, "Isle of Skye", "Scotland - Isle of Skye");
		ss(f, 90, "Kincardineshire", "Scotland - Kincardineshire");
		ss(f, 91, "Kinross-Shire", "Scotland - Kinross-Shire");
		ss(f, 92, "Kirkcudbrightshire", "Scotland - Kirkcudbrightshire");
		ss(f, 93, "Lanarkshire", "Scotland - Lanarkshire");
		ss(f, 94, "Midlothian", "Scotland - Midlothian");
		ss(f, 95, "Morayshire", "Scotland - Morayshire");
		ss(f, 96, "Nairnshire", "Scotland - Nairnshire");
		ss(f, 97, "Orkney", "Scotland - Orkney");
		ss(f, 98, "Peeblesshire", "Scotland - Peeblesshire");
		ss(f, 99, "Perthshire", "Scotland - Perthshire");
		ss(f, 100, "Renfrewshire", "Scotland - Renfrewshire");
		ss(f, 101, "Ross-shire", "Scotland - Ross-shire");
		ss(f, 102, "Roxburghshire", "Scotland - Roxburghshire");
		ss(f, 103, "Selkirkshire", "Scotland - Selkirkshire");
		ss(f, 104, "Shetland", "Scotland - Shetland");
		ss(f, 105, "Stirlingshire", "Scotland - Stirlingshire");
		ss(f, 106, "Sutherland", "Scotland - Sutherland");
		ss(f, 107, "West Lothian", "Scotland - West Lothian");
		ss(f, 108, "Western Isles", "Scotland - Western Isles");
		ss(f, 109, "Wigtownshire", "Scotland - Wigtownshire");
		ss(f, 110, "Anglesey", "Wales - Anglesey");
		ss(f, 111, "Brecknockshire", "Wales - Brecknockshire");
		ss(f, 112, "Caernarfonshire", "Wales - Caernarfonshire");
		ss(f, 113, "Cardiff", "Wales - Cardiff");
		ss(f, 114, "Cardiganshire", "Wales - Cardiganshire");
		ss(f, 115, "Carmarthenshire", "Wales - Carmarthenshire");
		ss(f, 116, "Ceredigion", "Wales - Ceredigion");
		ss(f, 117, "Denbighshire", "Wales - Denbighshire");
		ss(f, 118, "Flintshire", "Wales - Flintshire");
		ss(f, 119, "Glamorgan", "Wales - Glamorgan");
		ss(f, 120, "Gwynedd", "Wales - Gwynedd");
		ss(f, 121, "Merioneth", "Wales - Merioneth");
		ss(f, 122, "Monmouthshire", "Wales - Monmouthshire");
		ss(f, 123, "Montgomeryshire", "Wales - Montgomeryshire");
		ss(f, 124, "Newport", "Wales - Newport");
		ss(f, 125, "Pembrokeshire", "Wales - Pembrokeshire");
		ss(f, 126, "Radnorshire", "Wales - Radnorshire");
		ss(f, 127, "Swansea", "Wales - Swansea");
	} else if (v == 'Taiwan') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Fujian", "Fujian");
		ss(f, 2, "Kaohsiung", "Kaohsiung");
		ss(f, 3, "Taipei", "Taipei");
		ss(f, 4, "Taiwan", "Taiwan");
	} else if (v == 'Switzerland') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Aargau", "Aargau");
		ss(f, 2, "Appenzell Ausserrhoden", "Appenzell Ausserrhoden");
		ss(f, 3, "Appenzell Innerrhoden", "Appenzell Innerrhoden");
		ss(f, 4, "Basel-Land", "Basel-Land");
		ss(f, 5, "Basel-Stadt", "Basel-Stadt");
		ss(f, 6, "Bern", "Bern");
		ss(f, 7, "Fribourg", "Fribourg");
		ss(f, 8, "Geneva", "Geneva");
		ss(f, 9, "Glarus", "Glarus");
		ss(f, 10, "Graubunden", "Graubunden");
		ss(f, 11, "Jura", "Jura");
		ss(f, 12, "Lucerne", "Lucerne");
		ss(f, 13, "Neuchatel", "Neuchatel");
		ss(f, 14, "Nidwalden", "Nidwalden");
		ss(f, 15, "Schaffhausen", "Schaffhausen");
		ss(f, 16, "Schwyz", "Schwyz");
		ss(f, 17, "Solothurn", "Solothurn");
		ss(f, 18, "St. Gallen", "St. Gallen");
		ss(f, 19, "Thurgau", "Thurgau");
		ss(f, 20, "Ticino", "Ticino");
		ss(f, 21, "Uri", "Uri");
		ss(f, 22, "Valais", "Valais");
		ss(f, 23, "Vaud", "Vaud");
		ss(f, 24, "Zug", "Zug");
		ss(f, 25, "Zurich", "Zurich");
	} else if (v == 'Spain') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Andalucia", "Andalucia");
		ss(f, 2, "Aragon", "Aragon");
		ss(f, 3, "Asturias", "Asturias");
		ss(f, 4, "Baleares", "Baleares");
		ss(f, 5, "Canarias", "Canarias");
		ss(f, 6, "Cantabria", "Cantabria");
		ss(f, 7, "Castilla-La Mancha", "Castilla-La Mancha");
		ss(f, 8, "Castilla-Leon", "Castilla-Leon");
		ss(f, 9, "Cataluna", "Cataluna");
		ss(f, 10, "Comunidad Valenciana", "Comunidad Valenciana");
		ss(f, 11, "Extremadura", "Extremadura");
		ss(f, 12, "Galicia", "Galicia");
		ss(f, 13, "La Rioja", "La Rioja");
		ss(f, 14, "Madrid", "Madrid");
		ss(f, 15, "Murcia", "Murcia");
		ss(f, 16, "Navarra", "Navarra");
		ss(f, 17, "Pais Vasco", "Pais Vasco");
	} else if (v == 'Portugal') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Azores", "Azores");
		ss(f, 2, "Beja", "Beja");
		ss(f, 3, "Braga", "Braga");
		ss(f, 4, "Braganca", "Braganca");
		ss(f, 5, "Castelo Branco", "Castelo Branco");
		ss(f, 6, "Coimbra", "Coimbra");
		ss(f, 7, "Evora", "Evora");
		ss(f, 8, "Faro", "Faro");
		ss(f, 9, "Guarda", "Guarda");
		ss(f, 10, "Leiria", "Leiria");
		ss(f, 11, "Lisboa", "Lisboa");
		ss(f, 12, "Madeira", "Madeira");
		ss(f, 13, "Portalegre", "Portalegre");
		ss(f, 14, "Porto", "Porto");
		ss(f, 15, "Santarem", "Santarem");
		ss(f, 16, "Setubal", "Setubal");
		ss(f, 17, "Viana do Castelo", "Viana do Castelo");
		ss(f, 18, "Vila Real", "Vila Real");
		ss(f, 19, "Viseu", "Viseu");
	} else if (v == 'Philippines') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Bicol", "Bicol");
		ss(f, 2, "Cagayan", "Cagayan");
		ss(f, 3, "Caraga", "Caraga");
		ss(f, 4, "Central Luzon", "Central Luzon");
		ss(f, 5, "Central Mindanao", "Central Mindanao");
		ss(f, 6, "Central Visayas", "Central Visayas");
		ss(f, 7, "Cordillera", "Cordillera");
		ss(f, 8, "Eastern Visayas", "Eastern Visayas");
		ss(f, 9, "Ilocos", "Ilocos");
		ss(f, 10, "Muslim Mindanao", "Muslim Mindanao");
		ss(f, 11, "National Capital Region", "National Capital Region");
		ss(f, 12, "Northern Mindanao", "Northern Mindanao");
		ss(f, 13, "Southern Mindanao", "Southern Mindanao");
		ss(f, 14, "Southern Tagalog", "Southern Tagalog");
		ss(f, 15, "Western Mindanao", "Western Mindanao");
		ss(f, 16, "Western Visayas", "Western Visayas");
	} else if (v == 'Peru') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Amazonas", "Amazonas");
		ss(f, 2, "Ancash", "Ancash");
		ss(f, 3, "Apurimac", "Apurimac");
		ss(f, 4, "Arequipa", "Arequipa");
		ss(f, 5, "Ayacucho", "Ayacucho");
		ss(f, 6, "Cajamarca", "Cajamarca");
		ss(f, 7, "Callao", "Callao");
		ss(f, 8, "Cusco", "Cusco");
		ss(f, 9, "Huancavelica", "Huancavelica");
		ss(f, 10, "Huanuco", "Huanuco");
		ss(f, 11, "Ica", "Ica");
		ss(f, 12, "Junin", "Junin");
		ss(f, 13, "La Libertad", "La Libertad");
		ss(f, 14, "Lambayeque", "Lambayeque");
		ss(f, 15, "Lima", "Lima");
		ss(f, 16, "Loreto", "Loreto");
		ss(f, 17, "Madre de Dios", "Madre de Dios");
		ss(f, 18, "Moquegua", "Moquegua");
		ss(f, 19, "Pasco", "Pasco");
		ss(f, 20, "Piura", "Piura");
		ss(f, 21, "Puno", "Puno");
		ss(f, 22, "San Martin", "San Martin");
		ss(f, 23, "Tacna", "Tacna");
		ss(f, 24, "Tumbes", "Tumbes");
		ss(f, 25, "Ucayali", "Ucayali");
	} else if (v == 'Panama') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Bocas del Toro", "Bocas del Toro");
		ss(f, 2, "Chiriqui", "Chiriqui");
		ss(f, 3, "Cocle", "Cocle");
		ss(f, 4, "Colon", "Colon");
		ss(f, 5, "Darien", "Darien");
		ss(f, 6, "Embera", "Embera");
		ss(f, 7, "Herrera", "Herrera");
		ss(f, 8, "Kuna de Madungandi", "Kuna de Madungandi");
		ss(f, 9, "Kuna de Wargandi", "Kuna de Wargandi");
		ss(f, 10, "San Blas", "Kuna Yala (San Blas)");
		ss(f, 11, "Los Santos", "Los Santos");
		ss(f, 12, "Ngobe Bugle", "Ngobe Bugle");
		ss(f, 13, "Panama", "Panama");
		ss(f, 14, "Veraguas", "Veraguas");
	} else if (v == 'Mexico') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Aguascalientes", "Aguascalientes");
		ss(f, 2, "Baja California Norte", "Baja California Norte");
		ss(f, 3, "Baja California Sur", "Baja California Sur");
		ss(f, 4, "Campeche", "Campeche");
		ss(f, 5, "Chiapas", "Chiapas");
		ss(f, 6, "Chihuahua", "Chihuahua");
		ss(f, 7, "Coahuila de Zaragoza", "Coahuila de Zaragoza");
		ss(f, 8, "Colima", "Colima");
		ss(f, 9, "Distrito Federal", "Distrito Federal");
		ss(f, 10, "Durango", "Durango");
		ss(f, 11, "Estado de México", "Estado de México");
		ss(f, 12, "Guanajuato", "Guanajuato");
		ss(f, 13, "Guerrero", "Guerrero");
		ss(f, 14, "Hidalgo", "Hidalgo");
		ss(f, 15, "Jalisco", "Jalisco");
		ss(f, 16, "Michoacán", "Michoacán");
		ss(f, 17, "Morelos", "Morelos");
		ss(f, 18, "Nayarit", "Nayarit");
		ss(f, 19, "Nuevo León", "Nuevo León");
		ss(f, 20, "Oaxaca", "Oaxaca");
		ss(f, 21, "Puebla", "Puebla");
		ss(f, 22, "Querétaro", "Querétaro");
		ss(f, 23, "Quintana Roo", "Quintana Roo");
		ss(f, 24, "San Luis Potosí", "San Luis Potosí");
		ss(f, 25, "Sinaloa", "Sinaloa");
		ss(f, 26, "Sonora", "Sonora");
		ss(f, 27, "Tabasco", "Tabasco");
		ss(f, 28, "Tamaulipas", "Tamaulipas");
		ss(f, 29, "Tlaxcala", "Tlaxcala");
		ss(f, 30, "Veracruz", "Veracruz");
		ss(f, 31, "Yucatán", "Yucatán");
		ss(f, 32, "Zacatecas", "Zacatecas");
	} else if (v == 'Malaysia') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Johor", "Johor");
		ss(f, 2, "Kedah", "Kedah");
		ss(f, 3, "Kelantan", "Kelantan");
		ss(f, 4, "Labuan", "Labuan");
		ss(f, 5, "Melaka", "Melaka");
		ss(f, 6, "Negeri Sembilan", "Negeri Sembilan");
		ss(f, 7, "Pahang", "Pahang");
		ss(f, 8, "Perak", "Perak");
		ss(f, 9, "Perlis", "Perlis");
		ss(f, 10, "Pulau Pinang", "Pulau Pinang");
		ss(f, 11, "Putrajaya", "Putrajaya");
		ss(f, 12, "Sabah", "Sabah");
		ss(f, 13, "Sarawak", "Sarawak");
		ss(f, 14, "Selangor", "Selangor");
		ss(f, 15, "Terengganu", "Terengganu");
		ss(f, 16, "Wilayah Persekutuan", "Wilayah Persekutuan");
	} else if (v == 'Japan') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Aichi", "Aichi");
		ss(f, 2, "Akita", "Akita");
		ss(f, 3, "Aomori", "Aomori");
		ss(f, 4, "Chiba", "Chiba");
		ss(f, 5, "Ehime", "Ehime");
		ss(f, 6, "Fukui", "Fukui");
		ss(f, 7, "Fukuoka", "Fukuoka");
		ss(f, 8, "Fukushima", "Fukushima");
		ss(f, 9, "Gifu", "Gifu");
		ss(f, 10, "Gunma", "Gunma");
		ss(f, 11, "Hiroshima", "Hiroshima");
		ss(f, 12, "Hokkaido", "Hokkaido");
		ss(f, 13, "Hyogo", "Hyogo");
		ss(f, 14, "Ibaragi", "Ibaragi");
		ss(f, 15, "Ishikawa", "Ishikawa");
		ss(f, 16, "Iwate", "Iwate");
		ss(f, 17, "Kagawa", "Kagawa");
		ss(f, 18, "Kagoshima", "Kagoshima");
		ss(f, 19, "Kanagawa", "Kanagawa");
		ss(f, 20, "Kochi", "Kochi");
		ss(f, 21, "Kumamoto", "Kumamoto");
		ss(f, 22, "Kyoto", "Kyoto");
		ss(f, 23, "Mie", "Mie");
		ss(f, 24, "Miyagi", "Miyagi");
		ss(f, 25, "Miyazaki", "Miyazaki");
		ss(f, 26, "Nagano", "Nagano");
		ss(f, 27, "Nagasaki", "Nagasaki");
		ss(f, 28, "Nara", "Nara");
		ss(f, 29, "Niigata", "Niigata");
		ss(f, 30, "Oita", "Oita");
		ss(f, 31, "Okayama", "Okayama");
		ss(f, 32, "Okinawa", "Okinawa");
		ss(f, 33, "Osaka", "Osaka");
		ss(f, 34, "Saga", "Saga");
		ss(f, 35, "Saitama", "Saitama");
		ss(f, 36, "Shiga", "Shiga");
		ss(f, 37, "Shimane", "Shimane");
		ss(f, 38, "Shizuoka", "Shizuoka");
		ss(f, 39, "Tochigi", "Tochigi");
		ss(f, 40, "Tokushima", "Tokushima");
		ss(f, 41, "Tokyo", "Tokyo");
		ss(f, 42, "Tottori", "Tottori");
		ss(f, 43, "Toyama", "Toyama");
		ss(f, 44, "Wakayama", "Wakayama");
		ss(f, 45, "Yamagata", "Yamagata");
		ss(f, 46, "Yamaguchi", "Yamaguchi");
		ss(f, 47, "Yamanashi", "Yamanashi");
	} else if (v == 'Italy') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Abruzzi", "Abruzzi");
		ss(f, 2, "Basilicata", "Basilicata");
		ss(f, 3, "Calabria", "Calabria");
		ss(f, 4, "Campania", "Campania");
		ss(f, 5, "Emilia-Romagna", "Emilia-Romagna");
		ss(f, 6, "Friuli-Venezia Giulia", "Friuli-Venezia Giulia");
		ss(f, 7, "Lazio", "Lazio");
		ss(f, 8, "Liguria", "Liguria");
		ss(f, 9, "Lombardia", "Lombardia");
		ss(f, 10, "Marche", "Marche");
		ss(f, 11, "Molise", "Molise");
		ss(f, 12, "Piemonte", "Piemonte");
		ss(f, 13, "Puglia", "Puglia");
		ss(f, 14, "Sardegna", "Sardegna");
		ss(f, 15, "Sicilia", "Sicilia");
		ss(f, 16, "Toscana", "Toscana");
		ss(f, 17, "Trentino-Alto Adige", "Trentino-Alto Adige");
		ss(f, 18, "Umbria", "Umbria");
		ss(f, 19, "Valle d'Aosta", "Valle d'Aosta");
		ss(f, 20, "Veneto", "Veneto");
	} else if (v == 'India') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Andhra Pradesh", "Andhra Pradesh");
		ss(f, 2, "Assam", "Assam");
		ss(f, 3, "Delhi", "Delhi");
		ss(f, 4, "Goa", "Goa");
		ss(f, 5, "Gujarat", "Gujarat");
		ss(f, 6, "Himachal Pradesh", "Himachal Pradesh");
		ss(f, 7, "Karnataka", "Karnataka");
		ss(f, 8, "Kerala", "Kerala");
		ss(f, 9, "Madhya Pradesh", "Madhya Pradesh");
		ss(f, 10, "Maharashtra", "Maharashtra");
		ss(f, 11, "Orissa", "Orissa");
		ss(f, 12, "Punjab", "Punjab");
		ss(f, 13, "Rajasthan", "Rajasthan");
		ss(f, 14, "Tamil Nadu", "Tamil Nadu");
		ss(f, 15, "Uttar Pradesh", "Uttar Pradesh");
		ss(f, 16, "West Bengal", "West Bengal");
	} else if (v == 'Honduras') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Atlantida", "Atlantida");
		ss(f, 2, "Choluteca", "Choluteca");
		ss(f, 3, "Colon", "Colon");
		ss(f, 4, "Comayagua", "Comayagua");
		ss(f, 5, "Copan", "Copan");
		ss(f, 6, "Cortes", "Cortes");
		ss(f, 7, "El Paraiso", "El Paraiso");
		ss(f, 8, "Francisco Morazan", "Francisco Morazan");
		ss(f, 9, "Gracias a Dios", "Gracias a Dios");
		ss(f, 10, "Intibuca", "Intibuca");
		ss(f, 11, "Islas de la Bahia", "Islas de la Bahia");
		ss(f, 12, "La Paz", "La Paz");
		ss(f, 13, "Lempira", "Lempira");
		ss(f, 14, "Ocotepeque", "Ocotepeque");
		ss(f, 15, "Olancho", "Olancho");
		ss(f, 16, "Santa Barbara", "Santa Barbara");
		ss(f, 17, "Valle", "Valle");
		ss(f, 18, "Yoro", "Yoro");
	} else if (v == 'Guatemala') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Alta Verapaz", "Alta Verapaz");
		ss(f, 2, "Baja Verapaz", "Baja Verapaz");
		ss(f, 3, "Chimaltenango", "Chimaltenango");
		ss(f, 4, "Chiquimula", "Chiquimula");
		ss(f, 5, "El Progreso", "El Progreso");
		ss(f, 6, "Escuintla", "Escuintla");
		ss(f, 7, "Guatemala", "Guatemala");
		ss(f, 8, "Huehuetenango", "Huehuetenango");
		ss(f, 9, "Izabal", "Izabal");
		ss(f, 10, "Jalapa", "Jalapa");
		ss(f, 11, "Jutiapa", "Jutiapa");
		ss(f, 12, "Peten", "Peten");
		ss(f, 13, "Quetzaltenango", "Quetzaltenango");
		ss(f, 14, "Quiche", "Quiche");
		ss(f, 15, "Retalhuleu", "Retalhuleu");
		ss(f, 16, "Sacatepequez", "Sacatepequez");
		ss(f, 17, "San Marcos", "San Marcos");
		ss(f, 18, "Santa Rosa", "Santa Rosa");
		ss(f, 19, "Solola", "Solola");
		ss(f, 20, "Suchitepequez", "Suchitepequez");
		ss(f, 21, "Totonicapan", "Totonicapan");
		ss(f, 22, "Zacapa", "Zacapa");
	} else if (v == 'Germany') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Baden-Württemberg", "Baden-Württemberg");
		ss(f, 2, "Bavaria", "Bavaria");
		ss(f, 3, "Berlin", "Berlin-Brandenburg");
		ss(f, 4, "Bremen", "Bremen");
		ss(f, 5, "Hamburg", "Hamburg");
		ss(f, 6, "Hessen", "Hessen");
		ss(f, 7, "Lower Saxony", "Lower Saxony");
		ss(f, 8, "Mecklenburg-Vorpommern", "Mecklenburg-Vorpommern");
		ss(f, 9, "Northrhine-Westphalia", "Northrhine-Westphalia");
		ss(f, 10, "Rhineland-Palatinate", "Rhineland-Palatinate");
		ss(f, 11, "Saarland", "Saarland");
		ss(f, 12, "Saxony-Anhalt", "Saxony-Anhalt");
		ss(f, 13, "Saxony", "Saxony");
		ss(f, 14, "Schleswig-Holstein", "Schleswig-Holstein");
		ss(f, 15, "Thuringen", "Thuringia");
	} else if (v == 'France') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Alsace", "Alsace");
		ss(f, 2, "Aquitaine", "Aquitaine");
		ss(f, 3, "Auvergne", "Auvergne");
		ss(f, 4, "Basse-Normandie", "Basse-Normandie");
		ss(f, 5, "Bourgogne", "Bourgogne");
		ss(f, 6, "Bretagne", "Bretagne");
		ss(f, 7, "Centre", "Centre");
		ss(f, 8, "Champagne-Ardenne", "Champagne-Ardenne");
		ss(f, 9, "Corse", "Corse");
		ss(f, 10, "Franche-Comté", "Franche-Comté");
		ss(f, 11, "French Polynesia", "French Polynesia");
		ss(f, 12, "Guadeloupe", "Guadeloupe");
		ss(f, 13, "Guyane", "Guyane");
		ss(f, 14, "Haute-Normandie", "Haute-Normandie");
		ss(f, 15, "Ile de France", "Ile de France");
		ss(f, 16, "Languedoc-Roussillon", "Languedoc-Roussillon");
		ss(f, 17, "Limousin", "Limousin");
		ss(f, 18, "Lorraine", "Lorraine");
		ss(f, 19, "Martinique", "Martinique");
		ss(f, 20, "Mayotte", "Mayotte");
		ss(f, 21, "Midi-Pyrénées", "Midi-Pyrénées");
		ss(f, 22, "Nord-Pas de Calais", "Nord-Pas de Calais");
		ss(f, 23, "Nouvelle Calédonie", "Nouvelle Calédonie");
		ss(f, 24, "Pays de la Loire", "Pays de la Loire");
		ss(f, 25, "Picardie", "Picardie");
		ss(f, 26, "Poitou-Charentes", "Poitou-Charentes");
		ss(f, 27, "Polynésie Française", "Polynésie Française");
		ss(f, 28, "Provence (PACA)", "Provence (PACA)");
		ss(f, 29, "Rhône Alpes", "Rhône Alpes");
		ss(f, 30, "Réunion", "Réunion");
		ss(f, 31, "St Pierre et Miquelon", "St Pierre et Miquelon");
		ss(f, 32, "Wallis et Futuna", "Wallis et Futuna");
	} else if (v == 'Cuba') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Camaguey", "Camaguey");
		ss(f, 2, "Ciego de Avila", "Ciego de Avila");
		ss(f, 3, "Cienfuegos", "Cienfuegos");
		ss(f, 4, "Ciudad de La Habana", "Ciudad de La Habana");
		ss(f, 5, "Granma", "Granma");
		ss(f, 6, "Guantanamo", "Guantanamo");
		ss(f, 7, "Holguin", "Holguin");
		ss(f, 8, "Isla de la Juventud", "Isla de la Juventud");
		ss(f, 9, "La Habana", "La Habana");
		ss(f, 10, "Las Tunas", "Las Tunas");
		ss(f, 11, "Matanzas", "Matanzas");
		ss(f, 12, "Pinar del Rio", "Pinar del Rio");
		ss(f, 13, "Sancti Spiritus", "Sancti Spiritus");
		ss(f, 14, "Santiago de Cuba", "Santiago de Cuba");
		ss(f, 15, "Villa Clara", "Villa Clara");
	} else if (v == 'Colombia') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Amazonas", "Amazonas");
		ss(f, 2, "Antioquia", "Antioquia");
		ss(f, 3, "Arauca", "Arauca");
		ss(f, 4, "Atlantico", "Atlantico");
		ss(f, 5, "Bolivar", "Bolivar");
		ss(f, 6, "Boyaca", "Boyaca");
		ss(f, 7, "Caldas", "Caldas");
		ss(f, 8, "Caqueta", "Caqueta");
		ss(f, 9, "Casanare", "Casanare");
		ss(f, 10, "Cauca", "Cauca");
		ss(f, 11, "Cesar", "Cesar");
		ss(f, 12, "Choco", "Choco");
		ss(f, 13, "Cordoba", "Cordoba");
		ss(f, 14, "Cundinamarca", "Cundinamarca");
		ss(f, 15, "Distrito Capital de Bogota", "Distrito Capital de Bogota");
		ss(f, 16, "Guainia", "Guainia");
		ss(f, 17, "Guaviare", "Guaviare");
		ss(f, 18, "Huila", "Huila");
		ss(f, 19, "La Guajira", "La Guajira");
		ss(f, 20, "Magdalena", "Magdalena");
		ss(f, 21, "Meta", "Meta");
		ss(f, 22, "Narino", "Narino");
		ss(f, 23, "Norte de Santander", "Norte de Santander");
		ss(f, 24, "Putumayo", "Putumayo");
		ss(f, 25, "Quindio", "Quindio");
		ss(f, 26, "Risaralda", "Risaralda");
		ss(f, 27, "San Andres y Providencia", "San Andres y Providencia");
		ss(f, 28, "Santander", "Santander");
		ss(f, 29, "Sucre", "Sucre");
		ss(f, 30, "Tolima", "Tolima");
		ss(f, 31, "Valle del Cauca", "Valle del Cauca");
		ss(f, 32, "Vaupes", "Vaupes");
		ss(f, 33, "Vichada", "Vichada");
	} else if (v == 'China') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "1", "Anhui");
		ss(f, 2, "2", "Beijing");
		ss(f, 3, "3", "Chongqing");
		ss(f, 4, "4", "Fujian");
		ss(f, 5, "5", "Gansu");
		ss(f, 6, "6", "Guangdong");
		ss(f, 7, "7", "Guangxi");
		ss(f, 8, "8", "Guizhou");
		ss(f, 9, "9", "Hainan");
		ss(f, 10, "10", "Hebei");
		ss(f, 11, "11", "Heilongjiang");
		ss(f, 12, "12", "Henan");
		ss(f, 13, "13", "Hong Kong");
		ss(f, 14, "14", "Hubei");
		ss(f, 15, "15", "Hunan");
		ss(f, 16, "16", "Inner Mongolia");
		ss(f, 17, "17", "Jiangsu");
		ss(f, 18, "18", "Jiangxi");
		ss(f, 19, "19", "Jilin");
		ss(f, 20, "20", "Liaoning");
		ss(f, 21, "21", "Ningxia");
		ss(f, 22, "22", "Qinghai");
		ss(f, 23, "23", "Shaanxi");
		ss(f, 24, "24", "Shandong");
		ss(f, 25, "25", "Shanghai");
		ss(f, 26, "26", "Shanxi");
		ss(f, 27, "27", "Sichuan");
		ss(f, 28, "28", "Tianjin");
		ss(f, 29, "29", "Tibet");
		ss(f, 30, "30", "Xinjiang");
		ss(f, 31, "31", "Yunnan");
		ss(f, 32, "32", "Zhejiang");
	} else if (v == 'Chile') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Aisen", "Aisen");
		ss(f, 2, "Antofagasta", "Antofagasta");
		ss(f, 3, "Araucania", "Araucania");
		ss(f, 4, "Atacama", "Atacama");
		ss(f, 5, "Bio-Bio", "Bio-Bio");
		ss(f, 6, "Coquimbo", "Coquimbo");
		ss(f, 7, "Bernardo O'Higgins", "Libertador Bernardo O'Higgins");
		ss(f, 8, "Los Lagos", "Los Lagos");
		ss(f, 9, "Magallanes", "Magallanes y de la Antartica");
		ss(f, 10, "Maule", "Maule");
		ss(f, 11, "Region Metropolitana", "Region Metropolitana");
		ss(f, 12, "Tarapaca", "Tarapaca");
		ss(f, 13, "Valparaiso", "Valparaiso");
	} else if (v == 'Canada') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Alberta", "Alberta");
		ss(f, 2, "British Columbia", "British Columbia");
		ss(f, 3, "Manitoba", "Manitoba");
		ss(f, 4, "New Brunswick", "New Brunswick");
		ss(f, 5, "Newfoundland", "Newfoundland");
		ss(f, 6, "Northwest Territories", "Northwest Territories");
		ss(f, 7, "Nova Scotia", "Nova Scotia");
		ss(f, 8, "Nunavut", "Nunavut");
		ss(f, 9, "Ontario", "Ontario");
		ss(f, 10, "Prince Edward Island", "Prince Edward Island");
		ss(f, 11, "Quebec", "Quebec");
		ss(f, 12, "Saskatchewan", "Saskatchewan");
		ss(f, 13, "Yukon Territory", "Yukon Territory");
	} else if (v == 'Brazil') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Acre", "Acre");
		ss(f, 2, "Alagoas", "Alagoas");
		ss(f, 3, "Amapá", "Amapá");
		ss(f, 4, "Amazonas", "Amazonas");
		ss(f, 5, "Bahia", "Bahia");
		ss(f, 6, "Ceará", "Ceará");
		ss(f, 7, "Distrito Federal", "Distrito Federal");
		ss(f, 8, "Espírito Santo", "Espírito Santo");
		ss(f, 9, "Goiás", "Goiás");
		ss(f, 10, "Maranhão", "Maranhão");
		ss(f, 11, "Mato Grosso do Sul", "Mato Grosso do Sul");
		ss(f, 12, "Mato Grosso", "Mato Grosso");
		ss(f, 13, "Minas Gerais", "Minas Gerais");
		ss(f, 14, "Paraná", "Paraná");
		ss(f, 15, "Paraíba", "Paraíba");
		ss(f, 16, "Pará", "Pará");
		ss(f, 17, "Pernambuco", "Pernambuco");
		ss(f, 18, "Piauí", "Piauí");
		ss(f, 19, "Rio de Janeiro", "Rio de Janeiro");
		ss(f, 20, "Rio Grande do Norte", "Rio Grande do Norte");
		ss(f, 21, "Rio Grande do Sul", "Rio Grande do Sul");
		ss(f, 22, "Rondônia", "Rondônia");
		ss(f, 23, "Roraima", "Roraima");
		ss(f, 24, "Santa Catarina", "Santa Catarina");
		ss(f, 25, "Sergipe", "Sergipe");
		ss(f, 26, "São Paulo", "São Paulo");
		ss(f, 27, "Tocantins", "Tocantins");
	} else if (v == 'Bolivia') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Chuquisaca", "Chuquisaca");
		ss(f, 2, "Cochabamba", "Cochabamba");
		ss(f, 3, "El Beni", "El Beni");
		ss(f, 4, "La Paz", "La Paz");
		ss(f, 5, "Oruro", "Oruro");
		ss(f, 6, "Pando", "Pando");
		ss(f, 7, "Potosi", "Potosi");
		ss(f, 8, "Santa Cruz", "Santa Cruz");
		ss(f, 9, "Tarija", "Tarija");
	} else if (v == 'Austria') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Burgenland", "Burgenland");
		ss(f, 2, "Carinthia", "Carinthia");
		ss(f, 3, "Lower Austria", "Lower Austria");
		ss(f, 4, "Salzburg", "Salzburg");
		ss(f, 5, "Styria", "Styria");
		ss(f, 6, "Tyrol", "Tyrol");
		ss(f, 7, "Upper Austria", "Upper Austria");
		ss(f, 8, "Vienna", "Vienna");
		ss(f, 9, "Vorarlberg", "Vorarlberg");
	} else if (v == 'Australia') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Australian Capital Territory", "Australian Capital Territory");
		ss(f, 2, "New South Wales", "New South Wales");
		ss(f, 3, "Northern Territory", "Northern Territory");
		ss(f, 4, "Queensland", "Queensland");
		ss(f, 5, "South Australia", "South Australia");
		ss(f, 6, "Tasmania", "Tasmania");
		ss(f, 7, "Victoria", "Victoria");
		ss(f, 8, "Western Australia", "Western Australia");
	} else if (v == 'Argentina') {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
		ss(f, 1, "Buenos Aires", "Buenos Aires");
		ss(f, 2, "Catamarca", "Catamarca");
		ss(f, 3, "Chaco", "Chaco");
		ss(f, 4, "Chubut", "Chubut");
		ss(f, 5, "Cordoba", "Cordoba");
		ss(f, 6, "Corrientes", "Corrientes");
		ss(f, 7, "Distrito Federal", "Distrito Federal");
		ss(f, 8, "Entre Rios", "Entre Rios");
		ss(f, 9, "Formosa", "Formosa");
		ss(f, 10, "Jujuy", "Jujuy");
		ss(f, 11, "La Pampa", "La Pampa");
		ss(f, 12, "La Rioja", "La Rioja");
		ss(f, 13, "Mendoza", "Mendoza");
		ss(f, 14, "Misiones", "Misiones");
		ss(f, 15, "Neuquen", "Neuquen");
		ss(f, 16, "Rio Negro", "Rio Negro");
		ss(f, 17, "Salta", "Salta");
		ss(f, 18, "San Juan", "San Juan");
		ss(f, 19, "San Luis", "San Luis");
		ss(f, 20, "Santa Cruz", "Santa Cruz");
		ss(f, 21, "Santa Fe", "Santa Fe");
		ss(f, 22, "Santiago del Estero", "Santiago del Estero");
		ss(f, 23, "Tierra del Fuego", "Tierra del Fuego");
		ss(f, 24, "Tucuman", "Tucuman");
	} else {
		f.state.options.length = 0;
		f.state.selectedIndex = -1;
		f.state.options[0] = new Option('Any', 0);
	}
}
